# Uses of Interface
org.eclipse.debug.core.ILaunchesListener

Packages that use ILaunchesListener
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.

## Uses of ILaunchesListener in org.eclipse.debug.core

Subinterfaces of ILaunchesListener in org.eclipse.debug.core
Modifier and Type
Interface
Description
`interface`
`ILaunchesListener2`
Enhancements to the launches listener interface.
Methods in org.eclipse.debug.core with parameters of type ILaunchesListener
Modifier and Type
Method
Description
`void`
ILaunchManager.`addLaunchListener(ILaunchesListener listener)`
Adds the given listener to the collection of registered launch listeners.
`void`
ILaunchManager.`removeLaunchListener(ILaunchesListener listener)`
Removes the given listener from the collection of registered launch listeners.